Overview | Package | Class | Tree | Deprecated | Index | Help
| Common Annotations 1.1 - Apache Tomcat 7.0.106
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.annotation
Enum Resource.AuthenticationType

    java.lang.Object
      java.lang.Enum<Resource.AuthenticationType>
          javax.annotation.Resource.AuthenticationType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Resource.AuthenticationType>

Enclosing class:
  Resource

    public static enum Resource.AuthenticationType

extends java.lang.Enum<Resource.AuthenticationType>

Enum Constant Summary
`APPLICATION`
`CONTAINER`

Method Summary
`static Resource.AuthenticationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Resource.AuthenticationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONTAINER

    public static final Resource.AuthenticationType CONTAINER

### APPLICATION

    public static final Resource.AuthenticationType APPLICATION

Method Detail

### values

    public static Resource.AuthenticationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Resource.AuthenticationType c : Resource.AuthenticationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Resource.AuthenticationType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Common Annotations 1.1 - Apache Tomcat 7.0.106
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.